Bug 1324177 - Default settings for Partition Tables and Provisioning Templates are broken
Summary: Default settings for Partition Tables and Provisioning Templates are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Jitendra Yejare
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1324966
TreeView+ depends on / blocked
 
Reported: 2016-04-05 18:08 UTC by Sebastian Hetze
Modified: 2019-09-25 21:29 UTC (History)
7 users (show)

Fixed In Version: foreman-1.11.0.14-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:07:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14586 None None None 2016-04-22 16:25:24 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Sebastian Hetze 2016-04-05 18:08:28 UTC
Description of problem:

The current Sat6.2 Beta SNAP has no default setting for a Partition Table assigned to the initial organization / location

Version-Release number of selected component (if applicable):
katello 3.0.0. 3.el7sat
foreman 1.11.0.9 1.el7sat


foreman-installer --scenario katello -v -d \
  --foreman-admin-password $PASSWORD \
  --foreman-initial-organization $ORG \
  --foreman-initial-location $LOC \
  --foreman-proxy-dns true \
  --foreman-proxy-dns-interface $SAT_INTERFACE \
  --foreman-proxy-dns-zone $DOMAIN  \
  --foreman-proxy-dns-forwarders $DNS \
  --foreman-proxy-dns-reverse $DNS_REV  \
  --foreman-proxy-dhcp true \
  --foreman-proxy-dhcp-interface $SAT_INTERFACE \
  --foreman-proxy-dhcp-range "$DHCP_RANGE" \
  --foreman-proxy-dhcp-gateway $DHCP_GW \
  --foreman-proxy-dhcp-nameservers $DHCP_DNS \
  --foreman-proxy-tftp true \
  --foreman-proxy-tftp-servername $(hostname) \
  --capsule-puppet true \
  --foreman-proxy-puppetca true  \
  --foreman-proxy-plugin-remote-execution-ssh-enabled true \
  --enable-foreman-proxy-plugin-remote-execution-ssh \
  --foreman-proxy-tftp true \
  --enable-foreman-plugin-discovery \
  --certs-server-ca-cert /root/cert/ipa-ca.crt \
  --certs-server-key /root/cert/key.pem \
  --certs-server-cert /root/cert/sat62.crt \
  --certs-server-cert-req /root/cert/sat62.csr


No default Partition Table is available in the initial organization
I have to manually assign the "Kickstart default" to $ORG and $LOC

Comment 3 Marek Hulan 2016-04-11 14:05:46 UTC
Created redmine issue http://projects.theforeman.org/issues/14574 from this bug

Comment 4 Marek Hulan 2016-04-12 07:20:46 UTC
Alternative fix against Foreman - http://projects.theforeman.org/issues/14586

Comment 5 Bryan Kearney 2016-04-12 14:08:12 UTC
Upstream bug component is Organizations and Locations

Comment 6 Bryan Kearney 2016-04-13 10:07:54 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14586 has been closed
-------------
Marek Hulán
Applied in changeset commit:2fb0d8d129588a71dcb953b12fe84d2fd8154467.

Comment 7 Jitendra Yejare 2016-04-18 09:44:49 UTC
Verified this issue in Sat 6.2 snap 8.2

I have seen all(100% - 12 out of 12 from Any Context) the partition tables have been by default assigned to 'Default Location' and 'Default Organization'.

Also Most of the Provisioning Templates(95% - 58 out of 61 from Any Context) has been by default assigned to 'Default Location' and 'Default Organization'.
The missing 3 P.Templates are Boot disk iPXE - host, Boot disk iPXE - generic host and one more I am unable to search.

Moving this to Verified as we have most of (97%) P.Tables and P.Templates assigned to Default org and loc.

Comment 8 Marek Hulan 2016-04-18 10:50:30 UTC
FTR I've created a patch for the bootstrap templates. It's tracked under http://projects.theforeman.org/issues/14682

Comment 10 errata-xmlrpc 2016-07-27 09:07:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.